Skip to content
Alchemy Logo

searchAssets_v2

POST
/{apiKey}
CUs480Throughput CUs200

Search and filter Solana NFTs, compressed NFTs, and tokens using flexible criteria including ownership, creators, collections, and custom attributes. Both ownerAddress and tokenType are required. The tree parameter is Helius-specific and not part of the official DAS specification.

Path Parameters

stringrequireddefaults to docs-demo

For higher throughput, create your own API key

Request

stringrequired

The base-58 wallet address to filter search results by owner.

enumrequired

Filter for specific token types.

Allowed values:

integeroptional

The page of results to return (1-based).

integeroptional

The maximum number of assets to return per page.

stringoptional

Filter by program authority for assets controlled by a specific protocol or update authority.

stringoptional

Filter by the creator wallet address.

booleanoptional

Filter by whether the creator is verified.

string[]optional

Collection grouping tuple [groupKey, groupValue] for filtering by collection membership. For example: ["collection", "<collectionKey>"].

objectoptional

Sorting configuration for ordering the returned assets.

booleanoptional

Filter for compressed NFTs (cNFTs) that use state compression.

booleanoptional

Filter for assets that are eligible for compression but have not yet been compressed.

integeroptional

Delegate criteria for the asset search.

stringoptional

Filter compressed NFTs by their merkle tree address. This parameter is Helius-specific and not part of the official DAS specification.

integeroptional

Supply criteria for the asset search.

stringoptional

Supply mint criteria for the asset search.

booleanoptional

Filter by whether an asset is frozen.

booleanoptional

Filter by whether an asset is burnt.

booleanoptional

Filter for assets that have an Agent Identity (MPL Core AgentIdentity external plugin).

stringoptional

Filter by base58 agent token mint address from the Agent Registry program.

stringoptional

Filter by base58 asset-signer PDA (MPL Core).

enumoptional

Filter by the token standard interface type.

The interface type of the Solana digital asset, indicating its token standard and implementation. v2 adds MPL Core interfaces (MplCoreAsset, MplCoreCollection, MplCoreGroup) and MplBubblegumV2 for the newer Bubblegum V2 compressed-NFT program.

Allowed values:

stringoptional

Royalty target type criteria.

integeroptional

Royalty target criteria.

integeroptional

Royalty amount criteria (basis points).

integeroptional

Ownership model criteria.

stringoptional

Cursor for paginating backwards through results.

stringoptional

Cursor for paginating forwards through results.

objectoptional

Advanced display options for the response.

Responses

200

The search result envelope containing matching assets and (optionally) native balance.

Was this page helpful?